use anyhow::anyhow;
use std::env;

pub fn parent_dir_name() -> anyhow::Result<String> {
    let current_dir = env::current_dir().expect("Failed to get current directory");

    // Get the parent directory of the current directory
    let parent_dir = current_dir
        .file_name()
        .ok_or(anyhow!("Current directory has no parent"))?;
    let parent_dir_name = parent_dir.to_string_lossy().to_string();
    Ok(parent_dir_name)
}
