use anyhow::anyhow;
use bollard::Docker;

pub async fn init_docker() -> anyhow::Result<Docker> {
    let docker = Docker::connect_with_local_defaults()?;

    docker
        .ping()
        .await
        .map_err(|e| anyhow!("Connection to Docker Socket failed: {}", e))?;
    Ok(docker)
}
