use crate::configuration::compose_types::DockerCompose;
use bollard::image::CreateImageOptions;
use bollard::models::CreateImageInfo;
use bollard::Docker;
use futures_util::StreamExt;

pub(crate) async fn pull_images(compose: &DockerCompose, docker: &Docker) {
    for service in compose.services.values() {
        println!("Trying to pull {}", service.image.clone().unwrap());
        let mut stream = docker.create_image(
            Some(CreateImageOptions {
                from_image: service.image.clone().unwrap(),
                ..Default::default()
            }),
            None,
            None,
        );

        while let Some(pull_result) = stream.next().await {
            match pull_result {
                Err(e) => println!("{:?}", e),
                Ok(CreateImageInfo {
                    status: Some(status),
                    ..
                }) => {
                    println!("{}", status)
                }
                _ => {}
            }
        }
    }
}
